org.apache.ignite.internal.processors.cache.mvcc.msg

## Class MvccTxSnapshotRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.msg.MvccTxSnapshotRequest

All Implemented Interfaces:
  Serializable, MvccMessage, Message

    public class MvccTxSnapshotRequest
    extends Object
    implements MvccMessage

Request to get MVCC snapshot for a new transaction.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MvccTxSnapshotRequest()` Required by `GridIoMessageFactory`.
`MvccTxSnapshotRequest(long futId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`long` `futureId()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `processedFromNioThread()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `waitForCoordinatorInit()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MvccTxSnapshotRequest

    public MvccTxSnapshotRequest()

Required by `GridIoMessageFactory`.

#### MvccTxSnapshotRequest

    public MvccTxSnapshotRequest(long futId)

Parameters:
  `futId` - Future ID.

### Method Detail

#### waitForCoordinatorInit

    public boolean waitForCoordinatorInit()

Specified by:
  `waitForCoordinatorInit` in interface `MvccMessage`
Returns:
  `True` if should wait for coordinator initialization.

#### processedFromNioThread

    public boolean processedFromNioThread()

Specified by:
  `processedFromNioThread` in interface `MvccMessage`
Returns:
  `True` if message should be processed from NIO thread.

#### futureId

    public long futureId()

Returns:
  Future ID.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018